package com.yfd.platform.modules.experimentalData.domain;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

// 批量修改请求对象
@Data
public class BatchModifyRequest {

    @NotBlank
    private String id; // 文件ID

    @NotEmpty
    private List<ModifyCommand> modifications;
}
